## Index

### Functions

- bindProperty

## Functions

### bindProperty

- bindProperty(vm: AtomViewModel, target: any, propertyName: string, source: any, path: string[][], twoWays?: IValueConverter | function): IDisposable

- - Defined in src/view-model/bindProperty.ts:14

  Binds source property to target property with optional two ways

  #### Parameters

  - ##### vm: AtomViewModel

  - ##### target: any

    target whose property will be set

  - ##### propertyName: string

    name of target property

  - ##### source: any

    source to read property from

  - ##### path: string[][]

    property path of source

  - ##### Optional twoWays: IValueConverter | function

    optional, two ways IValueConverter

  #### Returns IDisposable

Generated using TypeDoc